Skip to main content
GET
Get one client

Path Parameters

consumer_id
string<uuid>
required
client_id
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Response

Successful Response

external_reference
string | null

External identifier used to link the client in the accounting system with the corresponding client reference in your own system.

first_name
string | null

Only used when the client is an individual (is_company=false). Indicates the first name of the client.

last_name
string | null

Only used when the client is an individual (is_company=false). Indicates the last name of the client.

name
string | null

Full name or legal name of the client (individual or company). This is the name displayed in the accounting software.

function
string | null

Only used when the client is an individual (is_company=false). Indicates the function of the client.

is_company
boolean | null
default:true

Indicates if the client is an individual or a company.

company_id
string | null

Only used when the client is an individual (is_company=false). Indicates the id of the company linked to the client.

phone
string | null

Phone number of the client.

mobile
string | null

Mobile phone number of the client.

email
string | null

Email address of the client.

language
string | null

Language of the client. Format: ISO 639-1 codes.

internal_notes
string | null

Internal notes about the client.

website
string | null

Website of the client.

vat
string | null

VAT number of the client.

company_number
string | null

National identification number of the company.

iban
string | null

IBAN account number of the client. DEPRECATED see bank_accounts

bank_account
string | null

Bank account number of the client. DEPRECATED see bank_accounts

currency
string | null

Indicates the currency of the client (e.g., EUR).

active
boolean | null
default:true

Indicates if the client is active.

account_number
string | null

Ledger account number assigned to the customer in the accounting system as it will appear in the official accounting export file (FEC, SIE, iXBRL, etc.).

id
string | null

Id of the client in the accounting software. This is the unique identifier used to reference the client in the system.

last_updated_on
string<date-time> | null

The last time the client has been updated.

addresses
AddressItemOut · object[] | null

List of addresses associated with the client.

third_party_account
string | null

Third party account number/code representing the client in the accounting software.

bank_accounts
BankAccountsItem · object[] | null

List of bank accounts information associated with the client.